Обновление Kali Linux не работает на Metasploit с ошибкой контрольной суммы хэша

Я только что создал новую загрузку Kali Linux, чтобы начать изучение тестирования проникновения и уязвимостей безопасности, поэтому, надеюсь, я смогу найти несколько 0 дней, а затем продаю информацию о них предприятиям и правительственным организациям, так как я понимаю, что сейчас есть несколько заинтересованные в их приобретении в законном коммерческом контексте.

Для этого я предполагаю, что мне удастся получить последнюю версию Metasploit для тестирования. Однако, когда я запускаю apt-get upgrade процесс обновления выходит из строя с ошибками:

 E: Failed to fetch http://ftp.hands.com/kali/pool/main/m/metasploit-framework/metasploit-framework_4.14.1-0kali1_amd64.deb Hash Sum mismatch Hashes of expected file: - SHA256:5a3f9ee9247a9f32f53873d623c6b275bb11eafa95381aa9d6ecc9724e17518c - SHA1:df8606fdc1edb4b4b7f36e068d0789bd0d7289e0 [weak] - MD5Sum:677eef194091cfb557219e446d87d753 [weak] - Checksum-FileSize:71593968 [weak] Hashes of received file: - SHA256:c1068062a2da53e1ff1444360720ab4b787d058197e0ca568b330d9fd12fae4e - SHA1:900394222f17ddcfd52284b3f0eeeb391ad1089a [weak] - MD5Sum:29f15c23a3932e868157a291e44a2720 [weak] - Checksum-FileSize:71593968 [weak] Last modification reported: Thu, 09 Mar 2017 09:03:20 +0000 

Добавление --fix-missing видимому, приводит к тому, что процесс обновления продолжается, поэтому я думаю, что в противном случае система теперь была должным образом обновлена, но в конечном итоге она перестает работать с тем же сообщением об ошибке. Конечно, я с осторожностью (по меньшей мере!) О попытке загрузить обновленную версию Metasploit из неофициальных источников … но также кажется странным, что репо по умолчанию дает несоответствие суммарной хэш-функции.

Кто-нибудь имеет представление о том, что здесь не так, и о том, какая правильная методология должна его исправить?

(Текущий результат работы cat /etc/issue

 Kali GNU/Linux Rolling \n \l 

)

Linux и Unix - лучшая ОС в мире.